RedBoot User's Guide
Prev |  | Next

# fs move

## Name

fs move -- Move file

## Synopsis

fs move {`source`} {`dest`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`source` | String | Pathname of file to move. |
`dest` | String | Pathname to new file location. |

## Description

This command moves a file within a filesystem. This command will fail if the destination file already exists, or is in a different filesystem.

## Examples

Rename a file:

    RedBoot> fs list tests
    211392 d---------  2 size     96 .
    212416 d---------  3 size    128 ..
    205760 ----------  1 size  12288 test1
    RedBoot> fs move tests/test1 tests/test2
    RedBoot> fs list tests
    211392 d---------  2 size    128 .
    212416 d---------  3 size    128 ..
    205760 ----------  1 size  12288 test2
    RedBoot>

Prev | Home | Next
fs del | Up | fs list